org.apache.solr.search.facet

## Class FacetProcessor<FacetRequestT extends FacetRequest>

- java.lang.Object
- - org.apache.solr.search.facet.FacetProcessor<FacetRequestT>

-     public abstract class FacetProcessor<FacetRequestT extends FacetRequest>
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createAccs(int docCount, int slotCount)`
    `static FacetProcessor<?>` | `createProcessor(SolrQueryRequest req, Map<String,Object> params, DocSet docs)` factory method for invoking json facet framework as whole
    `Object` | `getResponse()`
    `void` | `process()`
    `protected void` | `processStats(SimpleOrderedMap<Object> bucket, DocSet docs, int docCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createProcessor

          public static FacetProcessor<?> createProcessor(SolrQueryRequest req,
                                                          Map<String,Object> params,
                                                          DocSet docs)

      factory method for invoking json facet framework as whole

    - #### getResponse

          public Object getResponse()

    - #### process

          public void process()
                       throws IOException

      Throws:
        `IOException`

    - #### processStats

          protected void processStats(SimpleOrderedMap<Object> bucket,
                                      DocSet docs,
                                      int docCount)
                               throws IOException

      Throws:
        `IOException`

    - #### createAccs

          protected void createAccs(int docCount,
                                    int slotCount)
                             throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.